Subject: bug#4995 closed by Jan Djärv <[email-masked]> (Re: emacs -Q doesn't fit on the user's screen)

From: [email-masked] (Emacs bug Tracking System)
Date: Tue, 26 Jan 2010 06:57:02 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#3643: 23.1.50; No size compensation for (tool-bar-mode 0)(menu-bar-mode 0)

It has been closed by Jan Djärv <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Jan Djärv <[email-masked]> by
replying to this email.

-- 
3643: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3643
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: emacs -Q doesn't fit on the user's screen
From: Jan Djärv <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Tue, 26 Jan 2010 07:56:09 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] skrev 2010-01-26 00.05:
> JD>  I made some changes.  If 40 doesn't fit we try 24.  If that doesn't
> JD>  fit we just use 10.
> Well, you had better also glue it to the top left of the screen, or else
> your latest attempt ends up like...
>

No, that is what I said erlier, it is up to your window manager placement 
routine to fix stuff like this.  icewm is not so good here, but trying to fix 
shortcomings of window managers in Emacs is no use.
You can file a bug to icewm about this.

Closing this.

	Jan D.

Subject: 23.1.50; No size compensation for (tool-bar-mode 0)(menu-bar-mode 0)
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Sat, 21 Nov 2009 04:01:31 +0800

ADMIT that
$ emacs -Q -eval '(progn(tool-bar-mode 0)(menu-bar-mode 0))'
1. Still momentarily wastefully shows at least the menu-bar before cleaning it
off the screen, even if the user does those commands in his .emacs file.
2. But more importantly, gives the user a window shorter than he wants.
No compensation is made here under X windows to lengthen back the emacs
window back to the size it was before removing those items.
(Note I had no xrdb emacs items set.) To workaround I must do:
(setq default-frame-alist (cons (cons 'height (+(frame-height)4)) default-frame-alist))
(No, fullhight, fullboth,(which by the way is not documented) don't let
one still see the ICEWM toolbar.)
In GNU Emacs 23.1.50.1 (i486-pc-linux-gnu, GTK+ Version 2.18.3)
 of 2009-11-15 on elegiac, modified by Debian
 (emacs-snapshot package, version 1:20091115-1)